Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061393 - [pa] msgids containing "subscription-manager" should NOT translate this substring
Summary: [pa] msgids containing "subscription-manager" should NOT translate this subst...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Carter Kozak
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel70
TreeView+ depends on / blocked
 
Reported: 2014-02-04 18:23 UTC by John Sefler
Modified: 2014-06-18 00:30 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 906552
Environment:
Last Closed: 2014-06-13 12:30:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2014-02-04 18:23:50 UTC
Description of problem:
msgid='subscription-manager: %s'
       ^^^^^^^^^^^^^^^^^^^^
       SHOULD NOT BE TRANSLATED

https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.10.X


Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.10.13-1.el7.x86_64


How reproducible:


Steps to Reproduce:


[root@jsefler-7 ~]# for L in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE $L..."; msgunfmt $L | grep -i 'subscription-manager:' -A1; done;

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/as/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:  %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/fr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager : %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/gu/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/hi/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/it/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ja/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/kn/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ko/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ml/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/mr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/or/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pa/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "ਮੈਂਬਰੀ-ਪ੍ਰਬੰਧਕ: %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s "


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ru/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/te/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"
[root@jsefler-7 ~]# 


  
Actual results:
above - all langs PASS except pa

Expected results:
"subscription-manager" SHOULD NOT BE TRANSLATED

Comment 1 Amandeep Singh Saini 2014-02-05 12:20:05 UTC
[pa_IN]
Fixed. the translated string 'ਮੈਂਬਰੀ-ਪ੍ਰਬੰਧਕ: %s'
changed to 
'subscription-manager: %s'

Comment 2 Carter Kozak 2014-02-05 19:57:25 UTC
commit d709e44173e6eb191ae2dcadd1a2d30b857edf9d
Author: ckozak <ckozak@redhat.com>
Date:   Tue Feb 4 13:32:16 2014 -0500

    1061393: Don't allow subscription-manager string to be translated

Comment 5 John Sefler 2014-02-14 03:24:17 UTC
Verifying Version...
[root@jsefler-7 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.3-1
subscription-manager: 1.10.14-1.git.1.f680517.el7
python-rhsm: 1.10.12-1.git.1.c60e119.el7


[root@jsefler-7 ~]# for L in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE $L..."; msgunfmt $L | grep -i 'subscription-manager:' -A1; done;

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/as/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:  %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/fr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager : %s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/gu/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/hi/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/it/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ja/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/kn/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ko/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ml/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/mr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/or/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pa/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s "


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ru/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/te/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"


VERIFIED: Within the translation for msgid "subscription-manager: %s", the name of the program remains untranslated for all languages including pa.

Comment 6 Ludek Smid 2014-06-13 12:30:48 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.